org.apache.tapestry5.jpa.modules

## Class JpaModule

- java.lang.Object
- - org.apache.tapestry5.jpa.modules.JpaModule

-     public class JpaModule
      extends Object

  Defines core services for JPA support.
  Since:
    5.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaModule()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bind(ServiceBinder binder)`
    `static EntityManagerManager` | `buildEntityManagerManager(EntityManagerSource entityManagerSource, PerthreadManager perthreadManager, org.slf4j.Logger logger)`
    `static JpaEntityPackageManager` | `buildJpaEntityPackageManager(Collection<String> packageNames)`
    `static void` | `provideApplicationStateContributions(MappedConfiguration<Class,ApplicationStateContribution> configuration, EntityManagerSource entityManagerSource, boolean entitySessionStatePersistenceStrategyEnabled)`
    `void` | `provideApplicationStatePersistenceStrategies(MappedConfiguration<String,ApplicationStatePersistenceStrategy> configuration)`
    `static void` | `provideClassTransformWorkers(OrderedConfiguration<ComponentClassTransformWorker2> configuration)`
    `static void` | `provideEntityPackages(Configuration<String> configuration, String appRootPackage)`
    `static void` | `provideEntityPersistentFieldStrategies(MappedConfiguration<String,PersistentFieldStrategy> configuration)`
    `static void` | `provideFactoryDefaults(MappedConfiguration<String,String> configuration)`
    `static void` | `provideObjectProviders(OrderedConfiguration<ObjectProvider> configuration)`
    `static void` | `provideValueEncoders(MappedConfiguration<Class,ValueEncoderFactory> configuration, boolean provideEncoders, EntityManagerSource entityManagerSource, EntityManagerManager entityManagerManager, TypeCoercer typeCoercer, PropertyAccess propertyAccess, LoggerSource loggerSource)`
    `static void` | `startupEarly(EntityManagerManager entityManagerManager, boolean earlyStartup)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JpaModule

          public JpaModule()

  - ### Method Detail

    - #### bind

          public static void bind(ServiceBinder binder)

    - #### buildJpaEntityPackageManager

          public static JpaEntityPackageManager buildJpaEntityPackageManager(Collection<String> packageNames)

    - #### buildEntityManagerManager

          @Scope(value="perthread")
          public static EntityManagerManager buildEntityManagerManager(EntityManagerSource entityManagerSource,
                                                                                                 PerthreadManager perthreadManager,
                                                                                                 org.slf4j.Logger logger)

    - #### provideEntityPackages

          @Contribute(value=JpaEntityPackageManager.class)
          public static void provideEntityPackages(Configuration<String> configuration,
                                                                                                    @Symbol(value="tapestry.app-package")
                                                                                                    String appRootPackage)

    - #### provideEntityPersistentFieldStrategies

          @Contribute(value=PersistentFieldManager.class)
          public static void provideEntityPersistentFieldStrategies(MappedConfiguration<String,PersistentFieldStrategy> configuration)

    - #### provideApplicationStatePersistenceStrategies

          @Contribute(value=ApplicationStatePersistenceStrategySource.class)
          public void provideApplicationStatePersistenceStrategies(MappedConfiguration<String,ApplicationStatePersistenceStrategy> configuration)

    - #### provideClassTransformWorkers

          @Contribute(value=ComponentClassTransformWorker2.class)
           @Primary
          public static void provideClassTransformWorkers(OrderedConfiguration<ComponentClassTransformWorker2> configuration)

    - #### provideObjectProviders

          @Contribute(value=MasterObjectProvider.class)
          public static void provideObjectProviders(OrderedConfiguration<ObjectProvider> configuration)

    - #### provideFactoryDefaults

          @Contribute(value=SymbolProvider.class)
           @FactoryDefaults
          public static void provideFactoryDefaults(MappedConfiguration<String,String> configuration)

    - #### provideValueEncoders

          @Contribute(value=ValueEncoderSource.class)
          public static void provideValueEncoders(MappedConfiguration<Class,ValueEncoderFactory> configuration,
                                                                                              @Symbol(value="tapestry.jpa.provide-entity-value-encoders")
                                                                                              boolean provideEncoders,
                                                                                              EntityManagerSource entityManagerSource,
                                                                                              EntityManagerManager entityManagerManager,
                                                                                              TypeCoercer typeCoercer,
                                                                                              PropertyAccess propertyAccess,
                                                                                              LoggerSource loggerSource)

    - #### provideApplicationStateContributions

          @Contribute(value=ApplicationStateManager.class)
          public static void provideApplicationStateContributions(MappedConfiguration<Class,ApplicationStateContribution> configuration,
                                                                                                                   EntityManagerSource entityManagerSource,
                                                                                                                   @Symbol(value="tapestry.jpa.entity-session-state-persistence-strategy-enabled")
                                                                                                                   boolean entitySessionStatePersistenceStrategyEnabled)

    - #### startupEarly

          @Startup
          public static void startupEarly(EntityManagerManager entityManagerManager,
                                                   @Symbol(value="tapestry.jpa.early-startup")
                                                   boolean earlyStartup)

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.